Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures
Here are the data structures with brief descriptions:

cs2200_32b_to_8b_t | Structure that allow split 32 bit value into 8 bit and vice versa
cs2200_reg_img_t | Register image of CS2200
cs2200_virtual_reg_img_t | Virtual settings variables
cs_feature_unit_t |
device_Cfg_1_t |
device_Ctrl_t |
device_id |
func_Cfg_1_t |
func_Cfg_2_t |
gd_config_struct | Structure for configuration table
GD_DATA_VALUE | For different data types is used union
gd_metadata | Structure for metadata of specific hardware
global_Cfg_t |
image_t |
lcd_5110_32bits | Structure which easily allow split 32bit value into 4 8bit variables
p0_r0_Page_Select_t |
p0_r102_Clock_Generation_Control_t |
p0_r10_Audio_Serial_Interface_Control_C_t |
p0_r11_Audio_Codec_Overflow_Flag_t |
p0_r12_Audio_Codec_Digital_Filter_Control_t |
p0_r13_Headset_Button_Press_Detection_A_t |
p0_r14_Headset_Button_Press_Detection_B_t |
p0_r15_Left_ADC_PGA_Control_t |
p0_r16_Right_ADC_PGA_Control_t |
p0_r17_MIC3L_R_To_Left_ADC_Control_t |
p0_r18_MIC3L_R_To_Right_ADC_Control_t |
p0_r19_LINE1LToLeftADCControl_t |
p0_r1_Software_Reset_t |
p0_r20_LINE2L_To_Left_ADC_Control_t |
p0_r21_LINE1R_To_Left_ADC_Control_t |
p0_r22_LINE1R_To_Right_ADC_Control_t |
p0_r23_LINE2R_To_Right_ADC_Control_t |
p0_r24_LINE1L_To_Right_ADC_Control_t |
p0_r25_MICBIAS_Control_t |
p0_r2_Codec_Sample_Rate_Select_t |
p0_r37_DAC_Power_And_Output_Driver_Control_t |
p0_r38_High_Power_Output_Driver_Control_t |
p0_r39_Reserved_t |
p0_r3_PLL_Programming_A_t |
p0_r40_High_Power_Output_Stage_Control_t |
p0_r41_DAC_Output_Switching_Control_t |
p0_r42_Output_Driver_Pop_Reduction_t |
p0_r43_Left_DAC_Digital_Volume_Control_t |
p0_r44_Right_DAC_Digital_Volume_Control_t |
p0_r47_DAC_L1_To_HPLOUT_Volume_Control_t |
p0_r4_PLL_Programming_B_t |
p0_r51_HPLOUT_Output_Level_Control_t |
p0_r5_PLL_Programming_C_t |
p0_r64_DAC_R1_To_HPROUT_Volume_Control_t |
p0_r65_HPROUT_Output_Level_Control_t |
p0_r6_PLL_Programming_D_t |
p0_r7_Codec_Datapath_Setup_t |
p0_r8_Audio_Serial_Interface_Control_A_t |
p0_r9_Audio_Serial_Interface_Control_B_t |
s_brd_drv_mute_t | Mute structure
s_brd_drv_pure_i2s_dir_t | Directions for pure I2S signals
s_brd_drv_rst_i2s_t | Reset I2S structure
S_freq |
S_line_coding |
S_usb_ac_interface_descriptor_1 |
S_usb_ac_interface_descriptor_2 |
S_usb_aia | Struct usb_AIA
S_usb_ain | Struct usb_AIN
S_usb_ait | Struct usb_AIT
S_usb_aot | Struct usb_AOT
S_usb_as_g_interface_descriptor_1 | USB Standard AS interface Descriptor
S_usb_as_g_interface_descriptor_2 | USB Class-Specific AS general interface descriptor pp 4.9.2
S_usb_as_interface_descriptor | Audio Streaming Interface Descriptors pp 4.9
S_usb_cdc_abst_control_mana_descriptor |
S_usb_cdc_call_man_func_descriptor |
S_usb_cdc_header_func_descriptor |
S_usb_cdc_union_func_descriptor |
S_usb_clock_multiplier_descriptor | Clock Multiplier descriptor pp 4.7.2.3
S_usb_clock_selector | Struct usb_st_clock_selector
S_usb_clock_selector_descriptor | Clock Selector descriptor pp 4.7.2.2
S_usb_clock_source_descriptor | Clock Source descriptor pp 4.7.2.1
S_usb_configuration_descriptor | USB Configuration Descriptor
S_usb_device_descriptor | USB Device Descriptor
S_usb_device_qualifier_descriptor | USB Device Qualifier Descriptor
S_usb_endpoint_audio_descriptor_1 | Usb Audio Endpoint Descriptor
S_usb_endpoint_audio_descriptor_2 | Usb Standard AS Isochronous Audio Data Endpoint Descriptors pp 4.10.1.1
S_usb_endpoint_audio_feedback | Usb Standard AS Isochronous Feedback Endpoint Descriptors pp 4.10.2.1
S_usb_endpoint_audio_specific_1 | Endpoint AUDIO Specific descriptor
S_usb_endpoint_audio_specific_2 | Usb Class_Specific AS Isochronous Audio Data Endpoint Descriptors pp 4.10.1.2
S_usb_endpoint_descriptor | USB Endpoint Descriptor
S_usb_feature_unit_descriptor_1 | USB Audio Feature Unit descriptor
S_usb_feature_unit_descriptor_2 | USB Audio Feature Unit descriptor pp 4.7.2.8
S_usb_format_type_1 | Audio Format Type descriptor
S_usb_format_type_1_one_freq | Audio Format Type descriptor
S_usb_format_type_2 | Class-Specific Audio Format Type descriptor pp 4.9.3 -> 2.3.1.6 Type I Format
S_usb_hid_descriptor | USB HID Descriptor
S_usb_in_ter_descriptor_1 | USB INPUT Terminal Descriptor
S_usb_in_ter_descriptor_2 | USB INPUT Terminal Descriptor pp 4.7.2.4
S_usb_interface_association_descriptor | USB Interface Association Descriptor
S_usb_interface_descriptor | USB Interface Descriptor
S_usb_language_id | USB Language Descriptor
S_usb_manufacturer_string_descriptor | Struct usb_st_manufacturer
S_usb_out_ter_descriptor_1 | USB OUTPUT Terminal Descriptor
S_usb_out_ter_descriptor_2 | USB OUTPUT Terminal Descriptor pp 4.7.2.5
S_usb_product_string_descriptor | Struct usb_st_product
S_usb_serial_number | Struct usb_st_serial_number
S_usb_user_configuration_descriptor | Usb Class-Specific AS Isochronous Feedback Endpoint Descriptors pp 4.10.2.2 (none)
S_usb_user_configuration_descriptor_one_freq |
S_usb_wl | Struct usb_WL
S_UsbRequest | USB Request
tlv320aic33_virtual_reg_img_t |
UNI_PACKET_CONFIG_t | Configuration structure for RX and TX packet
UNI_PACKET_STATE_t | Structure which can hold data and command state
UNI_SR_flags | Status register flags
UNI_SR_t | Status register